Bug 1020329 - samba 4.1.0, the new glusterfs vfs plug-in isn't built
samba 4.1.0, the new glusterfs vfs plug-in isn't built
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
20
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On: 1020327
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 09:04 EDT by Kaleb KEITHLEY
Modified: 2013-11-25 23:10 EST (History)
6 users (show)

See Also:
Fixed In Version: samba-4.1.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1020327
Environment:
Last Closed: 2013-11-25 23:10:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2013-10-17 09:04:50 EDT
+++ This bug was initially created as a clone of Bug #1020327 +++

Description of problem:

samba-4.1.0 includes glusterfs vfs plug-in but it's not built due to missing BuildRequires

Version-Release number of selected component (if applicable):

samba 4.1.0


Additional info:


*** SPECS/samba.spec.orig	2013-10-17 08:22:43.050000000 -0400
--- SPECS/samba.spec	2013-10-17 09:01:44.474000000 -0400
***************
*** 122,127 ****
--- 122,130 ----
  BuildRequires: sed
  BuildRequires: zlib-devel >= 1.2.3
  BuildRequires: libbsd-devel
+ BuildRequires: glusterfs-api-devel
+ BuildRequires: glusterfs-devel
+ Requires: glusterfs-api
  
  %if ! %with_internal_talloc
  %global libtalloc_version 2.0.7
***************
*** 743,748 ****
--- 746,752 ----
  %{_libdir}/samba/vfs/fake_perms.so
  %{_libdir}/samba/vfs/fileid.so
  %{_libdir}/samba/vfs/full_audit.so
+ %{_libdir}/samba/vfs/glusterfs.so
  %{_libdir}/samba/vfs/linux_xfs_sgid.so
  %{_libdir}/samba/vfs/media_harmony.so
  %{_libdir}/samba/vfs/netatalk.so
***************
*** 1488,1493 ****
--- 1492,1500 ----
  %{_mandir}/man8/pam_winbind.8*
  
  %changelog
+ * Thu Oct 17 2013 - Kaleb S. KEITHLEY <kkeithle at redhat.com> 
+ - build glusterfs vfs
+ 
  * Fri Oct 11 2013 - Andreas Schneider <asn@redhat.com> - 4.1.0-1
  - related: #985609 - Update to Samba 4.1.0.
Comment 1 Andreas Schneider 2013-10-18 05:55:15 EDT
I already have fixed this, but not built packages yet. It will come next week.
Comment 2 Kaleb KEITHLEY 2013-10-18 07:52:48 EDT
Excellent. Would you consider updating samba in F18 and F19 to 4.1.0 as well? The glusterfs vfs plug-in is a high profile feature and we'd like to promote it in the community. Then we would not have to build and maintain a separate YUM repo for samba-4.1.0 for F18 and F19.  Thanks.
Comment 3 Andreas Schneider 2013-10-21 04:04:41 EDT
Does F18 and F19 provide glufterfs >= 3.4.0.16?
Comment 4 Fedora Update System 2013-10-30 03:01:36 EDT
samba-4.1.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/samba-4.1.0-3.fc20
Comment 5 Fedora Update System 2013-10-30 13:09:54 EDT
Package samba-4.1.0-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samba-4.1.0-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20307/samba-4.1.0-3.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-11-11 08:14:51 EST
samba-4.1.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/samba-4.1.1-1.fc20
Comment 7 Fedora Update System 2013-11-25 23:10:04 EST
samba-4.1.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.